<?php

    namespace Keybert;

    use ncc\Runtime;

    class Program
    {
        /**
         * Main entry point for the CLI
         *
         * @param array $args
         * @return void
         */
        public static function main(array $args=[]): void
        {
            if(getenv('KEYBERT_PORT') === false)
            {
                $port = $args['port'] ?? $args['p'] ?? null;
            }
            else
            {
                $port = getenv('KEYBERT_PORT');
            }

            if(getenv('KEYBERT_PRELOAD') === false)
            {
                $preload = $args['preload'] ?? $args['l'] ?? null;
            }
            else
            {
                $preload = getenv('KEYBERT_PRELOAD');
                if($preload === false || $preload == '')
                {
                    $preload = null;
                }
                else
                {
                    $preload = explode(',', $preload);
                }
            }

            $keybert = new Keybert($preload, null, $port);
            $keybert->run();
        }
    }